/*
    kfile_nds.h - NDS(Nintendo DS) ROM image KFile Plugin

    Copyright (c) 2006      by Thomas Köckerbauer     <k0055217@students.uni-linz.ac.at>

    Ported to Qt and adapted into Gamefu by:
    Copyright (c) 2006      by Michaël Larouche       <larouche@kde.org>

     *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef __KFILE_NDS_H__
#define __KFILE_NDS_H__

#include <kfilemetainfo.h>
class NDSFile;

class ndsPlugin: public KFilePlugin {
    Q_OBJECT
public:
	ndsPlugin( QObject *parent, const char *name, const QStringList& args );
	virtual bool readInfo( KFileMetaInfo& info, uint what);
private:
	QString getCountryNameFromCode(const QString &countryCode);
	int getCurrentLanguage();
};

#endif // __KFILE_NDS_H__
