/*
    randomgameplugin.h - Random game plugin

    Copyright (c) 2007      by Michaël Larouche       <larouche@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef GAMEFU_RANDOMGAME_PLUGIN_H
#define GAMEFU_RANDOMGAME_PLUGIN_H

#include <gamefuplugin.h>

class RandomGamePlugin : public Gamefu::Plugin
{
	Q_OBJECT
public:
	RandomGamePlugin(QObject *parent, const char *name, const QStringList &args);
	~RandomGamePlugin();

private slots:
	/**
	 * Menu command to select a random game
	 */
	void collectionRandomGame();
};

#endif
