/*
    genesissystem.h - Sega Genesis/Megadrive Gamefu system plugin

    Copyright (c) 2006      by Michaël Larouche       <larouche@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef GENESISSYSTEM_H
#define GENESISSYSTEM_H

#include <system.h>

/**
 * @author Michaël Larouche
 */
class GenesisSystem : public Gamefu::System
{
	Q_OBJECT
public:
	GenesisSystem(QObject *parent, const char *name, const QStringList &args);
	virtual ~GenesisSystem();

	static GenesisSystem *system();

private:
	class Private;
	Private *d;

	static GenesisSystem *s_genesisSystem;
};

#endif
