/*
    mamerommetadata.h - Extract metadata(information) from MAME.

    Copyright (c) 2006      by Michaël Larouche       <larouche@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef MAMEROMMETADATA_H
#define MAMEROMMETADATA_H

#include <rommetadata.h>

/**
 * Extract metadata(information) from MAME
 * 
 * @author Michaël Larouche <larouche@kde.org>
*/
class MameRomMetaData : public Gamefu::RomMetaData
{
public:
	MameRomMetaData();
	~MameRomMetaData();
	
	virtual bool canHandle(const QString &path);

	virtual Gamefu::RomMetaInformation extractMetaInformation(KFileItem* item);
};

#endif
