/*
    snessystem.h - Super Nintendo Entertainment System Gamefu system plugin

    Copyright (c) 2005      by Michaël Larouche       <larouche@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef SNESSYSTEM_H
#define SNESSYSTEM_H

#include <system.h>

/**
@author Michaël Larouche
*/
class SnesSystem : public Gamefu::System
{
	Q_OBJECT
public:
    SnesSystem(QObject *parent, const char *name, const QStringList &args);
    virtual ~SnesSystem();

	static SnesSystem *system();

private:
	class Private;
	Private *d;

	static SnesSystem *s_snesSystem;
};

#endif
