

#include "hiq.h"
#include <kapplication.h>
#include <dcopclient.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] =
    I18N_NOOP("HiQ/Peg Solitaire");

static const char version[] = "0.1";
static KCmdLineOptions options[] =
    {
        { "+[URL]", I18N_NOOP( "Document to open" ), 0 },
        KCmdLineLastOption
    };

int main(int argc, char **argv) {
    KAboutData about("hiq", I18N_NOOP("HiQ"), version, description,
                     KAboutData::License_GPL_V2, "(C) 2005 Samuel Hoffstaetter", 0, "http://shoffsta.linuxside.org/~shoffsta/HiQ", "sfh23@cornell.edu");
    about.addAuthor( "Samuel Hoffstaetter", 0, "sfh23@cornell.edu", "http://shoffsta.linuxside.org");
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions(options);
    KApplication app;
    // no session.. just start up normally
    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
    if (args->count() == 0) {
        HiQ *widget = new HiQ();
        widget->show();
    } else {
        int i = 0;
        for (; i < args->count(); i++) {
            HiQ *widget = new HiQ();
            widget->show();
            widget->load(args->url(i));
        }
    }
    args->clear();

    return app.exec();
}
