#ifndef _KGTABINTERFACE_H_
#define _KGTABINTERFACE_H_

#include <KUrl>
#include <QString>
#include <QWidget>
#include "KGContainer.h"

class KGTabInterface
{
public:
    enum interfaceType {PT_Level, PT_player, PT_script, PT_invalid};
protected:
    KUrl m_location;
    interfaceType m_type;
    QString m_name;
public:
    KGTabInterface();
    virtual ~KGTabInterface();
    virtual void setLocation(KUrl location);
    virtual KUrl location(void);
    virtual void setType(interfaceType type);
    virtual interfaceType type(void);
    virtual void setName(QString name);
    virtual QString name(void);

    virtual bool save(void) = 0;
    virtual bool open(void) = 0;
};

#endif
