#include "KGToolBox.h"

#include <KDebug>
#include <KStandardDirs>

KGToolBox::KGToolBox(QWidget *parent) :
QToolBox(parent)
{ 
    setBackgroundRole(QPalette::Window); 

    KGContainer *mainContainer = KGSelectionInterface::instance()->container();

    foreach(KGContainer *childContainer, mainContainer->containers())
	addTab(childContainer->reference(),0);    
}
//******************************************************************************
void KGToolBox::addTab(QString title, int layerID)
{   
    KGToolDrawer *toolDrawer = new KGToolDrawer(layerID,0,title);
        
    //add the tab here
    addItem(toolDrawer,title);
}

#include "KGToolBox.moc"
