/***************************************************************************
 *   Copyright (C) 2005 by Albert Astals Cid <tsdgeos@terra.es>            *
 *   Copyright (C) 2005 by Pino Toscano      <toscano.pino@tiscali.it>     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef BLANKTILEDIALOG_H
#define BLANKTILEDIALOG_H

#include <kdialog.h>

class KComboBox;
class QLabel;
class tile;

class blankTileDialog : public KDialog
{
	Q_OBJECT
	public:
		blankTileDialog(QWidget *parent);
		void setData(tile *t, const QList< QPair<QString, int> > &tileStringList);

	signals:
		void tileChanged();

	private slots:
		virtual void slotOk();
		virtual void slotApply();
		virtual void slotCancel();

	private:
		void updateWidgets();

		tile *m_tile;
		QString m_origString;
		QLabel *m_text;
		KComboBox *m_combo;
};

#endif
