/***************************************************************************
 *   Copyright (C) 2005 by Albert Astals Cid <tsdgeos@terra.es>            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef PASSTURNDIALOG_H 
#define PASSTURNDIALOG_H 

#include <QDialog>

#include "ui_passturndialogbase.h"

class passTurnDialog : public QDialog, private Ui_passTurnDialogBase
{
	public:
		passTurnDialog(QWidget *parent, int maxTiles);

		enum PassTurnDialogAction { PassTurn, ExchangeTiles };
		PassTurnDialogAction action() const;

		int exchangeTiles() const;
};

#endif
