/* This file is part of Ktank.
   Created by sacha schutz and olivier gueudelot

   KTank is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation, version 2.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA
*/

#ifndef KTITEMPROPERTY_H
#define KTITEMPROPERTY_H

#include <QWidget>
#include <KIcon>
#include <KStandardDirs>
#include <KFileTreeView>
#include <KFileDialog>
#include <KStandardDirs>
#include "ktblockitem.h"
#include "ui_ktitemproperty.h"

class KTItemProperty : public QWidget
{
Q_OBJECT
public:
KTItemProperty(QWidget * parent=0);
public slots:
void setupInfo(KTBlockItem * item);
void applyValue();
void applyTexture();
void applyName();
void loadTexture();

private:
Ui::KTItemProperty ui;
KTBlockItem * currentItem;
KFileTreeView * treeView;
KUrl picPath;
QPixmap currentPix;


};






#endif

