#ifndef KTANK_SERVER_H
#define KTANK_SERVER_H

#include <QtGui>
#include <QtNetwork>
#include <QList>
#include "ui_ktankserver.h"


struct KTANK
{
qreal x;
qreal y;
qreal ah;
qreal at;
QString name;

};



class KTankServer : public QMainWindow, public Ui::KTankServer

{
 Q_OBJECT

    public:
        KTankServer(QWidget * parent=0);

    void envoyerATous(const QString &message);
// 
public slots:
void newClient();
void donneesRecues();
 void deconnexionClient();
void refreshListPseudo();
void sendStartGame();
void sendTank(QString name);
void sendPlayer();
// 
//     private:
//         QLabel *etatServeur;
//         QPushButton *boutonQuitter;
// 
private:
        QTcpServer *serveur;
        QMap< QString,QTcpSocket * > clients;
QStringList players;


QMap <QString,KTANK> listTank;

//         quint16 tailleMessage;


};

#endif
