/***************************************************************************
 *   Copyright (C) 2003-2007 by Albert Astals Cid                          *
 *   tsdgeos@terra.es                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include "colorsconfig.h"

#include <kcolorbutton.h>
#include <klocale.h>

#include <qlabel.h>
#include <qlayout.h>

#include "settings.h"

colorsConfig::colorsConfig() : QWidget()
{
	KColorButton *colorButton;
	QGridLayout *layout = new QGridLayout(this);
	layout -> addWidget(new QLabel(i18n("Case background color:"), this), 0, 0);
	colorButton = new KColorButton(this);
	colorButton -> setObjectName("kcfg_background");
	layout -> addWidget(colorButton, 0, 1);
	layout -> addWidget(new QLabel(i18n("Piece border color:"), this), 1, 0);
	colorButton = new KColorButton(this);
	colorButton -> setObjectName("kcfg_border");
	layout -> addWidget(colorButton, 1, 1);
	layout -> addWidget(new QLabel(i18n("Player 1's piece's color:"), this), 2, 0);
	colorButton = new KColorButton(this);
	colorButton -> setObjectName("kcfg_player1_color");
	layout -> addWidget(colorButton, 2, 1);
	layout -> addWidget(new QLabel(i18n("Player 2's piece's color:"), this), 3, 0);
	colorButton = new KColorButton(this);
	colorButton -> setObjectName("kcfg_player2_color");
	layout -> addWidget(colorButton, 3, 1);
	layout -> addWidget(new QLabel(i18n("Selected piece color:"), this), 4, 0);
	colorButton = new KColorButton(this);
	colorButton -> setObjectName("kcfg_selected");
	layout -> addWidget(colorButton, 4, 1);
}
