/***************************************************************************
 *   Copyright (C) 2003-2007 by Albert Astals Cid                          *
 *   tsdgeos@terra.es                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include <kaboutdata.h>
#include <kapplication.h>
#include <kcmdlineargs.h>
#include <klocale.h>

#include "kttt.h"

int main(int argc, char *argv[])
{
	KAboutData about("kttt", 0, ki18n("KTic-Tac-Toe"), "0.1", ki18n("A Tic-Tac-Toe game"), KAboutData::License_GPL);
	about.addAuthor( ki18n("Albert Astals Cid"), ki18n("All the work"), "tsdgeos@terra.es" );
	KCmdLineArgs::init(argc, argv, &about);
	KApplication app;
	
	app.setTopWidget(new kttt());

	return app.exec();
}
