//Magazynier, a warehouse assistant game.
//Copyright (C) 2008, 2009 Tadeusz Andrzej Kadlubowski yess@hell.org.pl
//
//This program is free software; you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation; either version 2 of the License, or
//(at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License along
//with this program; if not, write to the Free Software Foundation, Inc.,
//51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

#include "commands.h"
#include "levelModel.h"

#include <KDebug>

void MagazynierCommand::redo()
{
	QUndoCommand::redo();
	m_levelModel->moveDone(m_moveCount, m_shiftCount);
	return;
}

void MagazynierCommand::undo()
{
	QUndoCommand::undo();
	m_levelModel->moveUndone(m_moveCount, m_shiftCount);
	return;
}

void MagazynierCommand::setCounts(int moveCount, int shiftCount)
{
	m_moveCount = moveCount;
	m_shiftCount = shiftCount;
}
