/***************************************************************************
 *   Copyright (C) 2005 by Piotr Banasiak <piotrbanasiak@onet.pl>          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to                             *
 *   the Free Software Foundation, 51 Franklin Street, Fifth Floor,        *
 *   Boston, MA 02110-1301, USA.                                           *
 ***************************************************************************/

#include <kaboutdata.h>
#include <kapplication.h>
#include <kcmdlineargs.h>
#include <klocale.h>

#include "draughts.h"

int main( int argc, char ** argv ) 
{
   Q_INIT_RESOURCE(resources);

    KAboutData about("draughts", 0, ki18n("Draughts"), "0.1", ki18n("A board game"), KAboutData::License_GPL, ki18n("Piotr Banasiak"));
    about.addAuthor(ki18n("Piotr Banasiak"), KLocalizedString(), "piotrbanasiak@onet.pl");
    KCmdLineArgs::init(argc, argv, &about);

    KApplication application;
    draughts *mainWin = new draughts;

    //application.setMainWidget( mainWin );
    mainWin->show();

    return application.exec();
}
