/*
    gamefuthumbnail.h - Create a KIO Thumb from the titlescreen in Gamefu Database.

    Copyright (c) 2006      by Michaël Larouche       <larouche@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef GAMEFU_THUMB_H
#define GAMEFU_THUMB_H

#include <kio/thumbcreator.h>

class GamefuThumbCreator : public ThumbCreator {
public:
    GamefuThumbCreator() {};
    virtual bool create(const QString &path, int, int, QImage &img);
    virtual Flags flags() const;
private:
	bool createDbConnection();
};

#endif
