/*
    imagefillerdialog.h - Image Filler plugin.

    Copyright (c) 2006      by Michaël Larouche       <larouche@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef IMAGEFILLERDIALOG_H
#define IMAGEFILLERDIALOG_H

#include <kdialogbase.h>

/**
 * @brief Fill images in database
 *
 * @author Michaël Larouche <larouche@kde.org>
*/
class ImageFillerDialog : public KDialogBase
{
	Q_OBJECT
public:
	ImageFillerDialog(QWidget *parent = 0);
	~ImageFillerDialog();

protected slots:
	virtual void slotApply();

private:
	class Private;
	Private *d;
};

#endif
