/*
    Copyright 2009  Stanislas Marquis <smarquis@chaosorigin.com>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of
    the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef ZODIACORE_H
#define ZODIACORE_H

#ifdef __cplusplus
extern "C" {
#endif

#define ZODIACORE_IVERSION      20091214
#define ZODIACORE_CVERSION      "20091214"

#include "common.h"
#include "memusage.h"
#include "core.h"

#include "btree.h"
#include "json.h"
#include "sqlite.h"
#include "str.h"
#include "vector.h"

#include "atlas.h"
#include "geocoord.h"
#include "orb.h"
#include "aspect.h"
#include "planet.h"
#include "aspectfilter.h"
#include "planetfilter.h"
#include "orbfilter.h"
#include "aspectrestr.h"
#include "orbrestr.h"
#include "profile.h"
#include "context.h"
#include "prefs.h"
#include "datetime.h"
#include "data.h"
#include "matchasp.h"
#include "raman.h"
#include "horoscope.h"
#include "wheel.h"
#include "chart.h"

#ifdef __cplusplus
}
#endif

#endif /* !ZODIACORE_H */
