/***************************************************************************
 *   Copyright (C) 2006 by Pino Toscano <toscano.pino@tiscali.it>          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef EVENTSLOGWIDGET_H
#define EVENTSLOGWIDGET_H

#include <QWidget>

class QTextEdit;

class eventsLogWidget : public QWidget
{
	Q_OBJECT
	public:
		explicit eventsLogWidget(QWidget *parent);
		~eventsLogWidget();

		/**
		 * Adds a generic message.
		 */
		void addMessage(const QString &message);
		/**
		 * Adds an error message.
		 */
		void addErrorMessage(const QString &message);

	private:
		void addMessageWithTime(const QString &text);

		QTextEdit *m_edit;
};

#endif
