/***************************************************************************
 *   Copyright (C) 2006 by Albert Astals Cid <tsdgeos@terra.es>            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include "ui_gamelistbase.h"

#ifndef GAMELISTWIDGET_H
#define GAMELISTWIDGET_H

class client;

class gameListWidget : public QFrame, private Ui_gameListBase
{
Q_OBJECT
	public:
		gameListWidget(QWidget *parent, client *c);
		
		int selectedGameRow() const;
	
	private slots:
		void enableJoin();
	
	signals:
		void createServerGame();
		void joinServerGame();
};

#endif
