/*
 *  Koware - The ancient African game, also known as Mancala, for KDE
 *  Copyright (C) 2005  Michael Collins  <michaelcollins@ivorycity.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Steet, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef GAME_H
#define GAME_H

#include <stdio.h>

struct
game
{
  int turn;
  int player1score;
  int player2score;
  int cups[12];
  int gameover;
};

#define PLAYER1 1
#define PLAYER2 2

#define ERR_MOVE0 -3
#define ERR_MOVE1 -2
#define ERR_MOVE2 -1

extern char* illegalmoves[];

#define illegaln2s(err) illegalmoves[err+3]

void oware_init( struct game* g);
int  oware_move( struct game* g, int move);
void oware_dump( struct game* g );

#endif


