#ifndef XMLPICROSS_H
#define XMLPICROSS_H

#include <QString>
#include <QVector>
#include <QList>

struct BoardXml
{
    QString name;
    QString author;
    int rows;
    int columns;
    QVector< QVector<bool> > data;
    QString imageType;
    QString imageLink;
};
struct BoardSetXml
{
    QString name;
    QList<BoardXml> boards;
};

class XmlPicross
{
public:
    static QList<BoardSetXml> parseFile(const QString &file);
};

#endif
