#include "ktitemlist.h"
#include <QDebug>

KTItemList::KTItemList(QWidget * parent,KTMapScene * s):QWidget(parent)
{
setupUi(this);

scene = s;

button_up->setIcon(KIcon("arrow-up"));
button_down->setIcon(KIcon("arrow-down"));
button_del->setIcon(KIcon("edit-delete"));
button_hide->setIcon(KIcon("user-invisible"));


connect(button_del, SIGNAL(clicked()), scene, SLOT(removeItemSelected()));
connect(button_hide,SIGNAL(clicked()), scene,SLOT(hideItems()));

}
//=============================================
void KTItemList::update()
{



qDebug()<<"update";

qDebug()<<"size "<<scene->items().size();

klistwidget->clear();
  for ( int i=0; i<scene->items().size(); ++i)
  {
 
QGraphicsItem * item = scene->items().at(i);

QListWidgetItem *i = new QListWidgetItem(item->toolTip());

if( item->isVisible())
i->setIcon(KIcon("user-online"));

else
i->setIcon(KIcon("user-offline"));






klistwidget->addItem(i);

if ( item->isSelected())
i->setSelected (true);
}
  
}

//============================================
void KTItemList::selectItem()
{





}
