/* -*- coding: utf-8 -*- */

#ifndef KT_MAPHEADER_H
#define KT_MAPHEADER_H


#include <QDialog>
#include <QDebug>
#include <QGroupBox>
#include <QTextEdit>
#include <QSpinBox>
#include <QLineEdit>
#include <QLabel>
#include <QGridLayout>
#include <QDialogButtonBox>
#include <QAction>

class KTMapHeader : public QDialog
{
Q_OBJECT

public:
    KTMapHeader( QWidget * parent = 0);

    int width(){return spinBox[1]->value();}
    int height(){return spinBox[0]->value();}


private:
    void createPresentationBox();
    void createParamsBox();
    void createTeamBox();




    // GUI
    QGroupBox * presentationBox;
    QGroupBox * paramsBox;
    QTextEdit * description;
    QLabel    * labels[9];
    QLineEdit * lineEdits[3];
    QSpinBox  * spinBox[5];
    QDialogButtonBox * buttonBox;


    QAction *exitAction;
};




#endif

