/***************************************************************************
 *   Copyright (C) 2003-2004 by Albert Astals Cid                          *
 *   tsdgeos@terra.es                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef KTTT_H
#define KTTT_H

#include <kxmlguiwindow.h>

class boardWidget;

class kttt : public KXmlGuiWindow
{
Q_OBJECT
	public:
		kttt();

	private slots:
		void newGame();
		void endGame();

		void playerwin(int number, bool human);
		void humanwin();
		void humanloose();
		void draw();
		void movement();
		void selection(bool select);

		void configureNotifications();
		void configureSettings();

	private:
		boardWidget *p_board;
};

#endif
