#!/usr/bin/env perl -w

#Tadeusz Andrzej Kadlubowski (c) April 2009

#This program is free software; you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation; either version 2 of the License, or
#(at your option) any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License along
#with this program; if not, write to the Free Software Foundation, Inc.,
#51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

use strict;

my $level_pack_name;
my $level_number;
my @level_data = ();

for my $line (<>) {
	if ($line =~ m/^[a-zA-Z\ \(\)]+$/) {
		$level_pack_name = $line;
		chop $level_pack_name;
		$level_number = 1;
	}
	elsif ($line =~ m/^[#\ \@\.\$\*\+]+$/) {
		push @level_data, $line;
	} else {
		open LEVEL_FILE, ">", "$level_pack_name/$level_number.txt";
		print LEVEL_FILE @level_data;
		close LEVEL_FILE;
		@level_data = ();
		$level_number += 1;
	}
}
