/***************************************************************************
 *   Copyright (C) 2005 by Joshua Keel <tsdgeos@terra.es>            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include <kaboutdata.h>
#include <kapplication.h>
#include <kcmdlineargs.h>
#include <klocale.h>

#include "market.h"

int main(int argc, char *argv[])
{
	KAboutData about("market", 0, ki18n("marKet"), "0.1", ki18n("A game of buying and selling"), KAboutData::License_GPL, ki18n("© 2005 Joshua Keel"));
	about.addAuthor(ki18n("Joshua Keel"), KLocalizedString(), "joshuakeel@gmail.com");
	KCmdLineArgs::init(argc, argv, &about);
	KApplication app;
	app.setTopWidget(new Market());
	return app.exec();
}
