#include "connecttogamedialog.h"


ConnectToGameDialog::ConnectToGameDialog(QWidget *parent) :
    QDialog(parent),
    m_ui(new Ui::ConnectToGameDialog)
{
    m_ui->setupUi(this);
 //   connect(this,SIGNAL(accepted()),this,SLOT(accept()));
  //  connect(this,SIGNAL(rejected()),this,SLOT(reject()));
    connect(m_ui->gameList,SIGNAL(highlighted(const QString &)),
            this, SLOT(selectedGameChanged(const QString &)));

}
ConnectToGameDialog::~ConnectToGameDialog()
{
    delete m_ui;
}
void ConnectToGameDialog::addGame(QString gamename)
{
    m_ui->gameList->addItem(gamename);
}

void ConnectToGameDialog::changeEvent(QEvent *e)
{
    QDialog::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        m_ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void ConnectToGameDialog::selectedGameChanged(const QString &text)
{
    m_ui->selectedGame->setText(text);
    enableJoin();
}
QString ConnectToGameDialog::getGame()
{
   return m_ui->selectedGame->text();
}
void ConnectToGameDialog::enableJoin()
{
    if (m_ui->selectedGame->text().isNull())
    {
        m_ui->selectgameLabel->setStyleSheet("color: rgb(0, 0, 0)");
    }
    else
        m_ui->joingame->setEnabled(true);
}
