#include "parsekstatuslistener.h"

ParsekStatusListener::ParsekStatusListener()
{
}

ParsekStatusListener::~ParsekStatusListener()
{
}

void ParsekStatusListener::connected()
{
  Q_EMIT signalConnected();
}

bool ParsekStatusListener::redirected(const std::string& url)
{
  //ask user if they want to follow redirecct
  return true;
}

void ParsekStatusListener::disconnected()
{
  Q_EMIT signalDisconnected();
}

void ParsekStatusListener::accountCreated(bool success)
{
  Q_EMIT signalAccountCreated(success);
}

void ParsekStatusListener::loggedIn(bool success)
{
  Q_EMIT signalLoggedIn(success);
}

void ParsekStatusListener::eotStarted()
{
  Q_EMIT signalEotStarted();
}

void ParsekStatusListener::eotEnded()
{
  Q_EMIT signalEotEnded();
}

void ParsekStatusListener::timeToEot(uint32_t timetoeot)
{
  Q_EMIT signalTimeToEot(timetoeot);
}
